Bug 184208 - fix japanese/plain2 build failure
Summary: fix japanese/plain2 build failure
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-24 05:20 UTC by TsurutaniNaoki
Modified: 2014-05-25 11:50 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.34 KB, patch)
2013-11-24 05:20 UTC, TsurutaniNaoki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description TsurutaniNaoki 2013-11-24 05:20:00 UTC
	I received a mail from pkg-fallout@freebsd.org about errors in
	building japanese/plain2.

Fix: Here is a patch.
	I found no problem while using stage, and enebling it.
Comment 1 Martin Wilke freebsd_committer 2014-05-25 11:47:39 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 2 dfilter service freebsd_committer 2014-05-25 11:47:43 UTC
Author: miwi
Date: Sun May 25 10:47:39 2014
New Revision: 355158
URL: http://svnweb.freebsd.org/changeset/ports/355158
QAT: https://qat.redports.org/buildarchive/r355158/

Log:
  - Unbreak build with clang
  
  PR:		184208
  Submitted by:	maintainer

Added:
  head/japanese/plain2/files/patch-src-plain2.c   (contents, props changed)
Modified:
  head/japanese/plain2/files/patch-src-Makefile

Modified: head/japanese/plain2/files/patch-src-Makefile
==============================================================================
--- head/japanese/plain2/files/patch-src-Makefile	Sun May 25 10:42:18 2014	(r355157)
+++ head/japanese/plain2/files/patch-src-Makefile	Sun May 25 10:47:39 2014	(r355158)
@@ -1,6 +1,6 @@
 --- src/Makefile.orig	2011-10-01 00:07:58.000000000 +0900
 +++ src/Makefile	2011-10-01 00:08:17.000000000 +0900
-@@ -12,8 +12,8 @@
+@@ -12,8 +12,9 @@
  
  DEFINES=-DKANJI -DPICTURE -DHTML
  
@@ -8,10 +8,11 @@
 -CFLAGS= -fwritable-strings ${DEFINES} -DBSD -DDEBUG -O2 -s
 +CC?=gcc
 +CFLAGS?= -fwritable-strings ${DEFINES} -DBSD -DDEBUG -O2 -s
++CFLAGS+= ${DEFINES}
  
  #CC=cc
  #CFLAGS= -O -fwritable-strings ${DEFINES} -DBSD -DDEBUG
-@@ -33,8 +33,8 @@
+@@ -33,8 +34,8 @@
  OBJS_KANJI=roffout.o analyze.o table.o title.o picture.o ftitle.o
  
  HDRS=plain2.h table.h picture.h kanji.h

Added: head/japanese/plain2/files/patch-src-plain2.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/japanese/plain2/files/patch-src-plain2.c	Sun May 25 10:47:39 2014	(r355158)
@@ -0,0 +1,19 @@
+--- src/plain2.c.orig	2013-11-24 13:27:57.000000000 +0900
++++ src/plain2.c	2013-11-24 13:45:59.000000000 +0900
+@@ -643,7 +643,7 @@
+ 	char	buf[MAX_LINE_LEN];
+ 	FILE	*initf;
+ 	if ((plainEnv = getenv(PLAIN2_ENV)) == NULL)
+-		return;
++		return 0;
+ 	if ((initf = fopen(plainEnv, "r")) == NULL) {
+ 		char	envOpt[MAX_LINE_LEN];
+ 		strcpy(envOpt, plainEnv);
+@@ -669,6 +669,7 @@
+ 		}
+ 		fclose(initf);
+ 	}
++	return 0;
+ }
+ /*
+  * Save & Restore Parameters for Parsing
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"